Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1089 - Mime-types vs. Magic for *.htm files
Summary: Mime-types vs. Magic for *.htm files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-09 15:32 UTC by summers
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-12 21:45:53 UTC


Attachments (Terms of Use)

Description summers 1999-02-09 15:32:18 UTC
The "magic" file for httpd doesn't appear to be working
correctly with certain browsers, most notably Netscape
Communicator 4.5. Any html file extension which is not
explicitly declared as a mime-type will show plain text
source through the broswer, meaning that the Content/type
header is not being set correctly for the file by the
server.

The solution is to add any necessary file extensions to
/etc/mime.types (htm HTM HTML) so that the server correctly
recognizes the file.

Dan S.


Note You need to log in before you can comment on or make changes to this bug.